Bug 10969 - Fix sample itemtypes for translated installers
Summary: Fix sample itemtypes for translated installers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Target Milestone: Oldversions
Assignee: Katrin Fischer
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on: 10513
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 16:48 UTC by Katrin Fischer
Modified: 2018-12-16 19:32 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10969: Fix sample itemtypes for translated installers (8.35 KB, patch)
2013-09-29 16:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10969: Fix sample itemtypes for translated installers (8.71 KB, patch)
2013-09-29 19:00 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10969: Fix sample itemtypes for translated installers (8.75 KB, patch)
2013-10-20 18:25 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-09-29 16:48:45 UTC
Because of a change in the itemtypes table structure some of the sample files can no longer be loaded correctly. 
Patch applies change from 10965 to the translated itemtype sample files.

To test:
- Install the specific language and run the web installer.
Or:
- Truncate or delete all from the itemtypes table in your database.
- Try to run the complete SQL in the itemtypes sample files.
- Verify the table is filled correctly.
Comment 1 Katrin Fischer 2013-09-29 16:50:14 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-29 19:00:54 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2013-10-02 14:37:10 UTC
Marking as release blocker.
Comment 4 mathieu saby 2013-10-02 15:51:49 UTC
And what about french db? is it needed too?

Mathieu
Comment 5 Katrin Fischer 2013-10-02 16:04:54 UTC
I checked all languages and French was using a differnt SQL statement.
Comment 6 mathieu saby 2013-10-02 18:23:05 UTC
thank you
Comment 7 Paul Poulain 2013-10-20 18:21:41 UTC
PAtch fixing some weird MySQL, nothing specific to say about it, no possible side-effect for existing setup.

passed QA
Comment 8 Paul Poulain 2013-10-20 18:25:07 UTC
Created attachment 22090 [details] [review]
Bug 10969: Fix sample itemtypes for translated installers

To test:
- Install the specific language and run the web installer.
Or:
- Truncate or delete all from the itemtypes table in your database.
- Try to run the complete SQL in the itemtypes sample files.

Verify the table is filled correctly.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works for all languages. No koha-qa errors.

Tested removing itemtypes, then loading new file,
and checking on staff.

For de, es, nb, and pl no problems. For ru I disable foreign
keys constraint before TRUNCATE and reenable it afterwards.

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 9 Galen Charlton 2013-10-20 18:51:46 UTC
Pushed to master.  Thanks, Katrin!